 <div class="row agency-dashboard">
  <p class="d-md-none text-center how-to-use">In order to manage your profile, please tap on the avatar in the upper right corner.</p>
  
  <div class="col-sm-12 col-md-6 status-message-block">
  <div class="card">
    <div class="card-header">
     <i class="fa fa-comment-o" aria-hidden="true"></i> Status message
   </div>
   <div class="card-block instant-live-messages-block">
    <p>
<!--        Share your todays mood, thoughts, feeling or wishes with the community! Just enter anything personal into the instant message box below - it will immediately show on your sedcard and througout the site and brings you much more attention!-->
        <?= __('share_mood')?>
    </p>

    <form id="instant-live-messages" action="">

      <div class="form-group">
        <label for="agency_escorts">Select Escort</label>
        <select id="agency_escorts" name="agency_escorts" class="form-control">
          <option value="0">---</option>
          <? if ( count($this->escorts) ): ?>
            <? foreach( $this->escorts as $escort ): ?>
              <? if( $escort['gender'] == GENDER_MALE ): ?>
                <? continue; ?>
              <? endif; ?>
              <option value="<?= $escort['id'] ?>"><?= $escort['showname'] ?></option>
            <? endforeach; ?>
          <? endif; ?>
        </select>
      </div>

      <div class="form-group">
        <div class="input-group">
          <span class="input-group-addon d-none d-md-block"><i class="fa fa-commenting-o" aria-hidden="true"></i></span>
          <input required="" type="text" name="text" id="bubble-text" class="form-control">
        </div>
      </div>
      <div class="d-flex">
        <button type="submit" class="btn btn-primary  ml-auto rounded">Share</button>
      </div>
    </form>

    <div id="instant-live-messages-alerts" class="mt-2 alert alert-warning d-none" role="alert">
      <strong>Notice:</strong> You are allowed to change your bubble text only once per day!
    </div>

    <div id="instant-live-messages-alert-success" class="mt-2 alert alert-success d-none" role="alert">
      Bubble text successfully updated
    </div>

  </div>
</div>
</div>

<div class="col-12 col-lg-6 ">
 <div class="card">
  <div class="card-header">
    <i class="fa fa-cart-plus" aria-hidden="true"></i> New feature: pay your ad online!
  </div>
  <div class="card-block ">
    <p class="">Want your ad above other ads in homepage or in your city? Then try our new Self checkout and pay for your upgrade fast and easy directly from your account! Just click on the button below:</p>
   <div id="govazd" class="container mb-3">
      <div class="d-flex">
      <button data-ajax-url="/private-v3#profile/gotd" class="btn m-auto btn-success rounded" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">UPGRADE NOW</button></div>
   </div>
 </div>
</div>
</div>

<? if($has_susp ||  count($this->dash_escorts) ): ?>
    <div class="col-sm-12 col-md-6 notifications-block">
        <div class="card">
          <div class="card-header">
            <i class="fa fa-bell"></i> Notifications 
          </div>
            <div class="card-block ">
              <div class="dashboard-notifications">
                <? if ( count($this->dash_escorts) ): ?>
                  <?= $this->render('index/agency-dashboard.phtml'); ?>
               <? endif; ?>
             </div>
             <?
             $cache = Zend_Registry::get('cache');
             $cache_key =  'v2_agency_susp_escorts_' . $this->agency['id'];
             if ( ! $escorts_a = $cache->load($cache_key) ) {
              $escorts_a = $this->agency->getEscortsPerPage(1, 20, Model_Escorts::ESCORT_STATUS_ACTIVE, true);
              $cache->save($escorts_a, $cache_key, array(), 300);
            }
            ?>

            <? $has_susp = false; ?>
            <? $susp_escorts = array(); ?>
            <? if ( count($escorts_a['escorts']) > 0 ): ?>
             <? $has_susp = true; ?>
             <? foreach( $escorts_a['escorts'] as $escort ): ?>
              <? //if ( $escort['is_suspicious'] == 1 ): ?>
              <? $susp_escorts[] = $escort['showname']; ?>
              <?// endif; ?>
            <? endforeach; ?>
            <? $shownames = implode(', ', $susp_escorts); ?>
          <? endif; ?>

          <? if ( $has_susp ): ?>
           <div class="alert alert-warning" role="alert">
             <?= __('suspicious_internal_text_agency', array('shownames' => $shownames)) ?>
           </div>
         <? endif; ?>
        </div>
      </div>
    </div> 
<? endif; ?>

<div class="col-12 col-lg-6 visits-block">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-line-chart" aria-hidden="true"></i> Top 10 escorts visits
        </div>
        <div class="card-block ">
          <div id="agency-escorts-visit-charts"></div>

          <?
          $escorts_views_arr = json_decode($this->escorts_views);
          if(empty($escorts_views_arr)): ?>
          <div class="alert alert-warning" role="alert"> <p class="mb-0">No data available-please check the status of your escorts.</p></div>
        <? endif; ?>
      </div>
    </div>
  </div>

<div class="col-12 d-md-none quick-links-block ">
  <div class="card">
    <div class="card-header">
      <i class="fa fa-rocket" aria-hidden="true"></i> Quick links
    </div>
    <div class="card-block ">
      <div class="d-flex flex-column">
        <a target="_blank"  class="btn btn-primary btn-lg mb-1 rounded" href="<?= $this->GetLink('advertise') ?>">Premium advertising</a>
        <a data-ajax-url="/private-v3/profile#index" class="btn btn-lg btn-primary mb-1 rounded" href="">Add new model</a>
        <a data-ajax-url="/private-v3/verify#index" class="btn btn-lg btn-primary mb-1 rounded" href="">Verify your photos</a>
      </div>
    </div>
  </div>
</div>

   <!--  <div class="col-sm-12 col-md-5">
        <div class="card">
            <div class="card-header">
                <?= $this->t('news') ?>
                <div class="small text-muted">November 2017 - December 2017</div>
            </div>
            <div class="card-block"><?= __('hh_internal_text') ?>
            </div>
        </div>
      </div> -->
      <!--/.col-->
    <!-- <div class="col-sm-12 col-md-7">
        <div class="card">
            <div class="card-header">
                <i class="fa fa-info-circle" aria-hidden="true"></i>
                Additional information
                <div class="small text-muted"></div>
            </div>
            <div class="card-block">
                <div class="alert alert-warning" role="alert">
                  <?= __('att_photos_count') ?>
                </div>
                
                <? if ( count($this->dash_escorts) ): ?>
                <div class="alert alert-success" role="alert">
                  <?= __('tip_text') ?>
                </div>

              
                <? endif; ?>
                  
           </div>
        </div>
      </div> -->
    </div>

    <script>
      var data = JSON.parse('<?= $this->escorts_views ?>');

      data = data.map(function (value) {
        return [value.showname,+value.count]
      });

      if(data.length > 0){
        Highcharts.chart('agency-escorts-visit-charts', {
          title: {
            text: 'Your most viewed escorts in the last 7 days'
          },
          chart: {
            type: 'bar'
          },

          colorByPoint: true,
          xAxis: {
            type: 'category',
            labels: {
              rotation: -45,
              style: {
                fontSize: '11px',
              }
            }
          },
          yAxis: {
            min: 0,
            title: {
              text: null
            }
          },
          legend: {
            enabled: false
          },
          tooltip: {
            pointFormat: '{point.y}</b>',
            valueSuffix: ' hits'
          },
          series: [{
            name: 'Views',
            data: data,
            dataLabels: {
              enabled: false,
              rotation: -90,
            }
          }]

        });
      }
    </script>